PTHREAD_MAIN_NP(3)

NAME
pthread_main_np - identify the initial thread

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_main_np(void);

DESCRIPTION
The pthread_main_np() function is used in userland threads environment to identify the initial thread. Its semantics is similar to the Solaris's thr_main() function.

RETURN VALUES
The pthread_main_np() function returns 1 if the calling thread is the initial thread, 0 if the calling thread is not the initial thread, and -1 if the thread's initialization has not yet completed.

SEE ALSO
pthread_create(3), pthread_equal(3), pthread_self(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.